package com.aitrainer.api.model

import com.google.gson.annotations.Expose
import org.hibernate.annotations.Fetch
import org.hibernate.annotations.FetchMode
import org.springframework.lang.NonNull
import jakarta.persistence.*

@Entity
data class Faq (
    @Expose @Id  @GeneratedValue(strategy = GenerationType.IDENTITY) @get: NonNull var faqId: Long = 0,
    @Expose @get: NonNull var name: String,
    @Expose var description: String? = null,
    @Expose var sort: Int? = null,

) {
    @OneToMany(cascade = [(CascadeType.ALL)], fetch = FetchType.EAGER, mappedBy = "faq")
    @Fetch(value = FetchMode.SUBSELECT)
    @Expose val translations: List<FaqTranslation> = mutableListOf<FaqTranslation>().toList()

}