package com.aitrainer.api.model

import com.fasterxml.jackson.annotation.JsonIgnore
import com.google.gson.annotations.Expose
import jakarta.persistence.*
import javax.validation.constraints.NotBlank

@Entity
data class PropertyTranslation (
    @Expose @Id @GeneratedValue(strategy = GenerationType.IDENTITY)  val translationId: Long = 0,

    @Expose @get: NotBlank var languageCode: String?,
    @Expose @get: NotBlank var propertyName: String = "",

    ) {
    @ManyToOne(fetch = FetchType.LAZY, optional = false)
    @JoinColumn(name = "propertyId", nullable = false)
    @JsonIgnore
    val property: Property? = null

/*    override fun toString() : String {
        return "PropertyTranslation [id=$translationId, languageCode=$languageCode, propertyName=$propertyName]"
    }*/
}